// Copyright 2025 Gabriel Bjørnager Jensen.

#![cfg(test)]

use multitype::FloatLeast32;

#[test]
fn test_float_least32_size() {
	#[track_caller]
	fn test_size<T: FloatLeast32>() -> bool {
		size_of::<T>() >= size_of::<f32>()
	}

	test_size::<f32>();
	test_size::<f64>();

	#[cfg(feature = "f128")]
	test_size::<f128>();
}
